Printago API
PATCH /v1/integrations/tiktok-shop/{integrationId}/settings

Update TikTok Shop settings

Update TikTok Shop integration settings

Requires: integration.manage

Path Parameters

integrationId required
string
The TikTok Shop integration ID

Request Body

Settings to update

RequestBody
autoCloseOrdersoptional
"shipped" | "delivered" | "never"
shippeddeliverednever
autoPrintoptional
boolean

Example Request

application/json
{
  "autoPrint": true,
  "autoCloseOrders": "shipped"
}

Response Schema

TikTokShopSettings
autoCloseOrdersoptional
"shipped" | "delivered" | "never"
shippeddeliverednever
autoPrintoptional
boolean

Example Response

200 OK — application/json
{
  "autoPrint": true,
  "autoCloseOrders": "shipped"
}